| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.AndNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.AndNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.AndNode:
[legend]

## Public Member Functions
def | __init__ (self, lhs, rhs)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| lhs
| rhs

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    And operation between control flow nodes.

Definition at line 96 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.AndNode.__init__ | ( |  | self,
|  |  | lhs,
|  |  | rhs
| ) |  |

Definition at line 100 of file ControlFlow.py.

100 def __init__(self, lhs, rhs):
101 self.lhs = lhs
102 self.rhs = rhs
103
GaudiConfig.ControlFlow.AndNode.lhs
lhs
Definition: ControlFlow.py:101
GaudiConfig.ControlFlow.AndNode.__init__
def __init__(self, lhs, rhs)
Definition: ControlFlow.py:100
GaudiConfig.ControlFlow.AndNode.rhs
rhs
Definition: ControlFlow.py:102

## Member Function Documentation

def GaudiConfig.ControlFlow.AndNode.__repr__ | ( |  | self | ) |

Definition at line 104 of file ControlFlow.py.

104 def __repr__(self):
105 return "(%r & %r)" % (self.lhs, self.rhs)
106
GaudiConfig.ControlFlow.AndNode.lhs
lhs
Definition: ControlFlow.py:101
GaudiConfig.ControlFlow.AndNode.__repr__
def __repr__(self)
Definition: ControlFlow.py:104
GaudiConfig.ControlFlow.AndNode.rhs
rhs
Definition: ControlFlow.py:102

def GaudiConfig.ControlFlow.AndNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 107 of file ControlFlow.py.

107 def _visitSubNodes(self, visitor):
108 self.lhs.visitNode(visitor)
109 self.rhs.visitNode(visitor)
110
111
GaudiConfig.ControlFlow.AndNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:107

## Member Data Documentation

GaudiConfig.ControlFlow.AndNode.lhs

Definition at line 101 of file ControlFlow.py.

GaudiConfig.ControlFlow.AndNode.rhs

Definition at line 102 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py